# Class HBond

java.lang.Object
org.jmol.util.Edge
org.jmol.modelset.Bond
org.jmol.modelset.HBond

All Implemented Interfaces:
  `SimpleEdge`

public class HBond extends Bond

## Field Summary

### Fields inherited from class Bond

`atom1, atom2, colix, mad, myVisibilityFlag, shapeVisibilityFlags`

### Fields inherited from class Edge

`BOND_AROMATIC, BOND_AROMATIC_DOUBLE, BOND_AROMATIC_MASK, BOND_AROMATIC_SINGLE, BOND_COVALENT_DOUBLE, BOND_COVALENT_MASK, BOND_COVALENT_QUADRUPLE, BOND_COVALENT_QUINTUPLE, BOND_COVALENT_sextuple, BOND_COVALENT_SINGLE, BOND_COVALENT_TRIPLE, BOND_H_CALC, BOND_H_CALC_MASK, BOND_H_MINUS_3, BOND_H_MINUS_4, BOND_H_NUCLEOTIDE, BOND_H_PLUS_2, BOND_H_PLUS_3, BOND_H_PLUS_4, BOND_H_PLUS_5, BOND_H_REGULAR, BOND_HBOND_SHIFT, BOND_HYDROGEN_MASK, BOND_NEW, BOND_ORDER_ANY, BOND_ORDER_NULL, BOND_ORDER_UNSPECIFIED, BOND_PARTIAL01, BOND_PARTIAL12, BOND_PARTIAL23, BOND_PARTIAL32, BOND_PYMOL_MULT, BOND_PYMOL_SCALE, BOND_RENDER_MASK, BOND_RENDER_SINGLE, BOND_STEREO_EITHER, BOND_STEREO_FAR, BOND_STEREO_NEAR, BOND_STRUT, BOND_SULFUR_MASK, index, order, TYPE_ATROPISOMER, TYPE_ATROPISOMER_REV`

## Constructor Summary

Constructors
Constructor
Description
`HBond(Atom atom1, Atom atom2, int order, short mad, short colix, float energy)`

## Method Summary

Modifier and Type
Method
Description
`static final int`
`calcEnergy(double distAH, double distCH, double distCD, double distAD)`
`float`
`getEnergy()`

### Methods inherited from class Bond

`getAtom, getAtomIndex1, getAtomIndex2, getCIPChirality, getCovalentOrder, getIdentity, getOtherAtom, getOtherNode, getValence, is, isAromatic, isCovalent, isCovalentNotPartial0, isHydrogen, setAtropisomerOptions, setCIPChirality, setMad, setOrder, setTranslucent, toString`

### Methods inherited from class Edge

`getArgbHbondType, getAtropismNode, getAtropismOrder, getAtropismOrder12, getBondOrderFromFloat, getBondOrderFromString, getBondOrderNameFromOrder, getBondOrderNumberFromOrder, getBondType, getCmlBondOrder, getCovalentBondOrder, getFloatEncodedInt, getPartialBondDotted, getPartialBondOrder, getPartialBondOrderFromFloatEncodedInt, isAtropism, isOrderH, isPartial, isStereo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HBond

public HBond(Atom atom1, Atom atom2, int order, short mad, short colix, float energy)

## Method Details

### getEnergy

public float getEnergy()

Overrides:
  `getEnergy` in class `Bond`

### calcEnergy

public static final int calcEnergy(double distAH, double distCH, double distCD, double distAD)

Parameters:
  `distAH` -
  `distCH` -
  `distCD` -
  `distAD` -
Returns:
  cal/mol